Bug 30446 - [SNB] Compiz has render flaw
Summary: [SNB] Compiz has render flaw
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Eric Anholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-28 23:43 UTC by Michael Fu
Modified: 2010-11-02 01:13 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Fu 2010-09-28 23:43:33 UTC
Running Compiz on SNB, some part of the screen has render flaws.

To be fixed in 7.9.1
Comment 1 Eric Anholt 2010-10-06 17:41:47 UTC
This needs details.  With wobbly windows, window movement, and whatever produces desktop transitions (but not desktop cube), the only issue I've found is that when dragging a window to provoke desktop transition the transition is black instead of something expected (like the flip of the screen that happens if I control-alt-left/right)
Comment 2 Gordon Jin 2010-10-13 01:35:02 UTC
I confirm with Eric's observation.
Comment 3 Eric Anholt 2010-10-28 14:47:36 UTC
commit e30a3e7aa09c373c0a02df555d090693718f0fe8
Author: Eric Anholt <eric@anholt.net>
Date:   Wed Oct 27 11:00:14 2010 -0700

    i965: Add user clip planes support to gen6.
    
    Fixes piglit user-clip, and compiz desktop switching when dragging a
    window and using just 2 desktops.  Bug #30446.
Comment 4 Yi Sun 2010-11-02 01:13:12 UTC
The issue described by Eric has been fixed with the latest code.
So verified the bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.